MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027232Open CASCADE[OCCT] OCCT:Configurationpublic2016-03-05 15:452016-04-20 15:49
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeverityblock 
StatusclosedResolutionfixed 
PlatformAndroidOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027232: Configuration - fix mblen missing building issue on Android
DescriptionThe multi-byte/widechar conversion tools are broken on Android:
Linking CXX shared library ../../lin32/gcc/lib/libTKernel.so
/NCollection_UtfString.cxx.o:NCollection_UtfString.cxx:function NCollection_UtfStringTool::FromLocale(char 
const*): error: undefined reference to 'mblen'

Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027233closedkgv Configuration - do not include version in SONAME for Android target 
child of 0027197closedabv Configuration - fix compilation issues when using mingw 

-  Notes
(0051426)
git (administrator)
2016-03-05 15:47

Branch CR27232 has been created by kgv.

SHA-1: ab2335aeaee54760cef4a109a9ec6312bc0e062c


Detailed log of new commits:

Author: kgv
Date: Sat Mar 5 15:46:42 2016 +0300

    0027232: Configuration - fix mblen missing building issue on Android
    
    Assume UTF-8 as the only locale supported on Android.
(0051427)
kgv (developer)
2016-03-05 15:47

Patch is ready for review.
(0051430)
abv (manager)
2016-03-07 17:42

No remarks, please check compilation and integrate (together with 0027233)
(0052818)
git (administrator)
2016-04-17 13:07

Branch CR27232 has been deleted by kgv.

SHA-1: ab2335aeaee54760cef4a109a9ec6312bc0e062c

- Related Changesets
occt: master ab2335ae
Timestamp: 2016-03-05 12:46:42
Author: kgv
Details ] Diff ]
0027232: Configuration - fix mblen missing building issue on Android

Assume UTF-8 as the only locale supported on Android.
mod - src/NCollection/NCollection_UtfString.cxx Diff ] File ]
mod - src/NCollection/NCollection_UtfString.lxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-05 15:45 kgv New Issue
2016-03-05 15:45 kgv Assigned To => bugmaster
2016-03-05 15:45 kgv Assigned To bugmaster => kgv
2016-03-05 15:45 kgv Status new => assigned
2016-03-05 15:47 git Note Added: 0051426
2016-03-05 15:47 kgv Note Added: 0051427
2016-03-05 15:47 kgv Assigned To kgv => abv
2016-03-05 15:47 kgv Status assigned => resolved
2016-03-05 15:48 kgv Relationship added child of 0027197
2016-03-05 16:52 kgv Relationship added related to 0027233
2016-03-07 17:42 abv Note Added: 0051430
2016-03-07 17:42 abv Assigned To abv => bugmaster
2016-03-07 17:42 abv Status resolved => reviewed
2016-03-21 14:58 kgv Changeset attached => occt master ab2335ae
2016-03-21 14:58 kgv Assigned To bugmaster => kgv
2016-03-21 14:58 kgv Status reviewed => verified
2016-03-21 14:58 kgv Resolution open => fixed
2016-04-17 13:07 git Note Added: 0052818
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker